Skip to main content
GET
/
v1
/
admin
/
reindex
/
jobs
List reindex jobs
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/reindex/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "jobs": [
    {
      "completed_at": null,
      "created_at": "2026-01-15T09:30:00Z",
      "error_message": null,
      "job_id": "rdx_01H8Z3",
      "manifest_cutoff_at": "2026-01-15T09:30:00Z",
      "object_count": 120,
      "promotion_id": "prom_1",
      "replay_document_count": 830000,
      "source_document_count": 1240000,
      "source_generation_ids": [
        4
      ],
      "status": "running",
      "target_generation_id": 5,
      "tenant_id": "acme",
      "updated_at": "2026-01-15T09:30:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500

Response

Successful Response

jobs
ReindexJobSummaryResponse · object[]
required